Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model.event
Interface PropertyValueListener

All Superinterfaces:
  EventListener, edu.stanford.smi.protege.event.FrameListener

All Known Implementing Classes:
  PropertyValueAdapter

    public interface PropertyValueListener

extends edu.stanford.smi.protege.event.FrameListener

Author:
  Holger Knublauch

Method Summary
`void` | `browserTextChanged(RDFResource resource)` Called when the browser text of an RDFResource has changed.
`void` | `nameChanged(RDFResource resource, String oldName)` Called after the name of a resource has changed.
`void` | `propertyValueChanged(RDFResource resource, RDFProperty property, Collection oldValues)` Called after the value of a property has changed at a given resource.
`void` | `visibilityChanged(RDFResource resource)` Called after the visibility of a resource has changed.

Methods inherited from interface edu.stanford.smi.protege.event.FrameListener
`browserTextChanged, deleted, nameChanged, ownFacetAdded, ownFacetRemoved, ownFacetValueChanged, ownSlotAdded, ownSlotRemoved, ownSlotValueChanged, visibilityChanged`

Method Detail

### browserTextChanged

    void browserTextChanged(RDFResource resource)

  Called when the browser text of an RDFResource has changed. This is typically used to trigger repaints in a user interface.

  Parameters:
    `resource` - the resource that has changed its browser text

### nameChanged

    void nameChanged(RDFResource resource,
                     String oldName)

  Called after the name of a resource has changed.

  Parameters:
    `resource` - the resource that has changed its name
    `oldName` - the old name of the resource

### propertyValueChanged

    void propertyValueChanged(RDFResource resource,
                              RDFProperty property,
                              Collection oldValues)

  Called after the value of a property has changed at a given resource.

  Parameters:
    `resource` - the resource that has changed its value
    `property` - the property that has changed at resource
    `oldValues` - a Collection of old values (may not be available for all values)

### visibilityChanged

    void visibilityChanged(RDFResource resource)

  Called after the visibility of a resource has changed.

  Parameters:
    `resource` - the resource that has changed its visibility

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.